Les versions 3.0 et 2.0.7 des modules Paybox sont sorties pour Prestashop et Magento. Cette annonce, qui a été communiquée aux développeurs aujourd'hui, est importante car elle concerne des modifications qui prendront effet dès demain. 

Lire la suite...

Prestashop nous avait laissé croire cet été que sa version majeure 1.7 pourrait sortir cet hiver, pour ensuite annoncer en Septembre que celle-ci sortirait pendant le premier trimestre 2016. Ce trimestre étant déjà commencé, nous attendions tous depuis un article officiel annonçant une version beta pour les développeurs. 

Nous avons tous été un peu déçus d'apprendre ce matin que cette version est encore en cours de développement et que Prestashop s'est mis à coder activement depuis seulement quelques semaines... Cependant, cette annonce laisse sous-entendre que les principaux points d'action ont été définis et que leus forces sont activement concentrées sur cette version majeure.

Lire la suite...

Prestashop est le CMS e-commerce dominant très largement le paysage de la vente en ligne en France, la plupart des données indiquant que presque la moitié de nos e-commerçants nationaux tournent sur ce CMS. Magento totalisant un score d'un peu plus de 10%. Cette différence peut s'expliquer principalement par des faits simples que nous connaissons tous : 

  • tout comme le marché de la voiture, chaque pays est un peu chauvin et préfère utiliser des systèmes nationaux
  • Prestashop est une société basée en France, toute sa communication s'est donc basée sur la langue Française depuis sa création
  • la communauté s'est donc construite autour de forums écrits en Français dans un pays ayant peur de communiquer en Anglais
  • la France est un pays qui a été dominé avant 2009/2010 par le couple Virtuemart/oscommerce, deux systèmes ayant périclité par un manque de modules et de fonctionnalités de base directement disponibles dans le core. Le coup de grâce ayant été portée par Magento et Prestashop 1.5 avec leurs versions multi-boutiques.

    Lire la suite...

Quand le compte Twitter officiel de Prestashop parle d'un de nos articles de blog, on a juste envie de le crier à la terre entière !Quand Prestashop officiel parle de nous

Prestashop vient d'annoncer ce matin une faille de sécurité pour les versions 1.4, 1.5 et 1.6.0, celle-ci concerne la génération des mots de passe pour un accès à l'administration et à été découverte par un consultant en sécurité.

Cette faille de sécurité ne concerne pas la toute dernière version 1.6.1.0 sortie au début du mois, par contre les sites sous Prestashop 1.4, 1.5 et 1.6 (à part 1.6.1) devraient envisager une correction via le module de correction fourni par Prestashop, manuellement par les fichiers de correctifs ou en migrant vers la toute dernière version à jour.

Prestashop a mis en ligne un module permettant de corriger facilement cette faille mais il n'a été testé que pour Prestashop 1.4.11, 1.5.6.2 et 1.6.0.15. Bien sur, si votre site utilise une sous-version, le module devrait fonctionner mais il est recommandé de mettre en place les précautions d'usage avant de l'installer.

Si le module en fonctionne pas, il faudra appliquer le patch manuellement; mais il ne fonctionne que pour la dernière version de chaque branche et il faudra coder plus en profondeur si votre site utilise une sous-version, surtout si vous avez fortement surchargé votre site ou si vous avez modifié le code...

Si vous utilisez une version antérieure comme Prestashop 1.3, il est fortement recommandé de vous renseigner pour une migration car vous passez à côté de fonctionnalités éprouvées.

params->get('copyright')); */?>